﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CourierDeliveryNetwork.Data
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class CourierNetwork1Context : DbContext
    {
        public CourierNetwork1Context()
            : base("name=CourierNetwork1Context")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<BidPayment> BidPayments { get; set; }
        public virtual DbSet<BidPost> BidPosts { get; set; }
        public virtual DbSet<CategoryMaster> CategoryMasters { get; set; }
        public virtual DbSet<CouponMaster> CouponMasters { get; set; }
        public virtual DbSet<DeliveryTypeMaster> DeliveryTypeMasters { get; set; }
        public virtual DbSet<DocumentTypeMaster> DocumentTypeMasters { get; set; }
        public virtual DbSet<Enquiry> Enquiries { get; set; }
        public virtual DbSet<GenderMaster> GenderMasters { get; set; }
        public virtual DbSet<Order_Final> Order_Final { get; set; }
        public virtual DbSet<Order_Parcel_Details> Order_Parcel_Details { get; set; }
        public virtual DbSet<Order_Personal_Details> Order_Personal_Details { get; set; }
        public virtual DbSet<PriorityMaster> PriorityMasters { get; set; }
        public virtual DbSet<SalutationMaster> SalutationMasters { get; set; }
        public virtual DbSet<StatusMaster> StatusMasters { get; set; }
        public virtual DbSet<sysdiagram> sysdiagrams { get; set; }
        public virtual DbSet<CustomerRegistration> CustomerRegistrations { get; set; }
        public virtual DbSet<CountryMaster> CountryMasters { get; set; }
        public virtual DbSet<CityMaster> CityMasters { get; set; }
        public virtual DbSet<StateMaster> StateMasters { get; set; }
        public virtual DbSet<UserLogin> UserLogins { get; set; }
        public virtual DbSet<UserRoleType> UserRoleTypes { get; set; }
        public virtual DbSet<AccountTypeMaster> AccountTypeMasters { get; set; }
        public virtual DbSet<AdminLogin> AdminLogins { get; set; }
        public virtual DbSet<CarrierProviderRegistration> CarrierProviderRegistrations { get; set; }
        public virtual DbSet<ContactU> ContactUs { get; set; }
        public virtual DbSet<OperatingCountry> OperatingCountries { get; set; }
        public virtual DbSet<OrderFinal> OrderFinals { get; set; }
        public virtual DbSet<OrderParcelDetail> OrderParcelDetails { get; set; }
        public virtual DbSet<OrderPersonalDetail> OrderPersonalDetails { get; set; }
        public virtual DbSet<ProviderPaymentDetail> ProviderPaymentDetails { get; set; }
        public virtual DbSet<ProviderRegistration> ProviderRegistrations { get; set; }
        public virtual DbSet<ServiceLocationMaster> ServiceLocationMasters { get; set; }
        public virtual DbSet<UserToken> UserTokens { get; set; }
        public virtual DbSet<Address> Addresses { get; set; }
        public virtual DbSet<RateSetup> RateSetups { get; set; }
    }
}
